DRYFTA API
=============
Dryfta API Version 1.0
To fetch users


Installation
------------
cURL support is required,
Download API library from link provided.

include('./DryftaApi.php'); 


Examples
------------


Start by use-ing the class and creating an instance with your API key

use \DryftaApi\DryftaApi;

$DryftaApi = new DryftaApi($api_key);

Then, list all the users

$fields = array('FIRST_NAME', 'LAST_NAME', 'EMAIL'); // default
posible values for $fields
PROFILE_IMAGE
REGISTRATION_DATE
ROLE 
ORGANISATION
PHONE_NUMBER

$params = array("count"=>50, "offset"=> 0, "sort_field" => "registration_date", "direction" => "DESC"); //default

$result = $DryftaApi->get('contacts', $params, $fields);


Get a particular contact using user ID.

$user_id = '1234346';
$params = array(); //default
$fields = array('FIRST_NAME', 'LAST_NAME', 'EMAIL'); // default

$result = $DryftaApi->get("contacts/$user_id", $params, $fields);


Get contacts with particular role.

$role_id = '2';
$params = array("count"=>50, "offset"=> 0, "sort_field" => "registration_date", "direction" => "DESC"); //default
$fields = array('FIRST_NAME', 'LAST_NAME', 'EMAIL'); // default

$result = $DryftaApi->get("contacts/role/$role_id", $params, $fields);


Get all authors.

$params = array("count"=>50, "offset"=> 0, "sort_field" => "registration_date", "direction" => "DESC"); //default
$fields = array('FIRST_NAME', 'LAST_NAME', 'EMAIL'); // default

$result = $DryftaApi->get("contacts/authors", $params, $fields);


Get all subscribers.

$params = array("count"=>50, "offset"=> 0, "sort_field" => "created_on", "direction" => "DESC"); //default
$fields = array();
$result = $DryftaApi->get("subscribers", $params, $fields);


Get all subscribers of a particular list.

$list_id = 101;

$params = array("count"=>50, "offset"=> 0, "sort_field" => "created_on", "direction" => "DESC"); //default
$fields = array();
$result = $DryftaApi->get("subscribers/$list_id", $params, $fields);
------------------------------------

