<?php

//including required files(dryfta api library)
include_once dirname(__FILE__).'/src/DryftaApi.php';

use \DryftaApi\DryftaApi;
$api_key = 'your-api'; //replace this with your API key

//query parameters
$params = array("count"=>50, "offset"=> 0, "sort_field" => "registration_date", "direction" => "DESC"); //default

//fields parameters
$fields = array('FIRST_NAME', 'LAST_NAME', 'EMAIL'); // default

  try{
    $DryftaApi = new DryftaApi($api_key);
    $result = $DryftaApi->get('contacts', $params, $fields);
    $allusers = $result;
  }catch (Exception $e){
    $result = $e;
    $allusers = $result;
  }
  
  print_r($allusers); //this returns array of contacts
?>